# $Revision: 1.46 $, $Date: 2002/06/03 11:14:23 $
#
# TODO:
# - add UID entry in init-script - what UID???

Summary:	Arpwatch monitors changes in ethernet/ip address pairings
Summary(pl):	Arpwatch monitoruje zmiany w parach adresw ethernet/ip
Summary(ru):	   IP    
Summary(uk):	  צ̦ IP   Φ ֦
Name:		arpwatch
Version:	2.1a11
Release:	5
Epoch:		2
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.ee.lbl.gov/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-arp2ethers.patch
Patch2:		%{name}-opt.patch
Patch3:		%{name}-drop.patch
Patch4:		%{name}-drop-man.patch
BuildRequires:	libpcap-devel
Prereq:		rc-scripts >= 0.2.0
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arpwatch and arpsnmp are tools that monitors ethernet or fddi activity
and maintain a database of ethernet/ip address pairings.

%description -l pl
Arpwatch i arpsnmp to narzdzia do monitorowania ethernetu i fddi.
Dodatkowo tworzona jest baza par adresw ethernet/ip.

%description -l ru
 arpwatch   arpwatch  arpsnmp.  
    Ethernet  FDDI    
  Ethernet/IP.       
 e-mail.

%description -l uk
 arpwatch ͦ ̦ arpwatch  arpsnmp.  
Φ Ʀ  Ethernet  FDDI     
  Ethernet/IP. ͦ     צ 
 e-mail.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
%configure2_13
%{__make} ARPDIR=/var/lib/arpwatch

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{var/lib/arpwatch,etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} install install-man DESTDIR=$RPM_BUILD_ROOT

install arp2ethers massagevendor $RPM_BUILD_ROOT/var/lib/arpwatch
install *.{awk,dat} $RPM_BUILD_ROOT/var/lib/arpwatch

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/arpwatch
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/arpwatch

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add arpwatch
if [ -f /var/lock/subsys/arpwatch ]; then
	/etc/rc.d/init.d/arpwatch restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/arpwatch start\" to start arpwatch daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/arpwatch ]; then
		/etc/rc.d/init.d/arpwatch stop 1>&2
	fi
	/sbin/chkconfig --del arpwatch
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES

%attr(754,root,root) /etc/rc.d/init.d/arpwatch
%attr(755,root,root) %{_sbindir}/*

%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/arpwatch

%{_mandir}/man8/*

%attr(750,daemon,root) %dir /var/lib/arpwatch
%attr(644,daemon,root) %config(noreplace) %verify(not size mtime md5) /var/lib/arpwatch/arp.dat
%attr(644,daemon,root) %config %verify(not size mtime md5) /var/lib/arpwatch/ethercodes.dat
%attr(755,daemon,root) /var/lib/arpwatch/*.awk

%attr(755,daemon,root) /var/lib/arpwatch/arp2ethers
%attr(755,daemon,root) /var/lib/arpwatch/massagevendor

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: arpwatch.spec,v $
Revision 1.46  2002/06/03 11:14:23  blues
- use daemon user to start arpwatch
- new doc
- proper permisions to arpwatch directory
STBR

Revision 1.45  2002/06/03 09:35:04  blues
- release 5
- added drop(-man) patch - drop root privileges - init script should be
  corrected, but... what UID to use?

Revision 1.44  2002/05/12 08:01:05  kloczek
- merge translations from KSI,
- Epoch: 2 - for allow upgrade from MDK version.

Revision 1.43  2002/04/25 15:48:10  arturs
fixed a small typo

Revision 1.42  2002/04/25 10:10:36  marcus
- rel.4.

Revision 1.41  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:12:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/09/24 09:45:23  qboosh
- run chkconfig --del only on remove, not upgrade

Revision 1.38  2001/08/09 21:45:49  blues
- Release 3
- configure2_13
NOTE: new ac suxx!! We shouldn't use it yet!!!

Revision 1.37  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.34  2001/06/15 15:50:17  baggins
- release 2
- repreq chkconfig

Revision 1.33  2001/05/17 20:38:48  kloczek
- updated to 2.1a11,
- fix in init script: use $IFC instead $INTERFACES on each loop iteration.

Revision 1.32  2001/04/26 00:49:07  kloczek
- release 2: improved init script - report on start interfaces name.

Revision 1.31  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.30  2001/01/07 12:47:43  misiek
updated to 2.1a10

Revision 1.29  2000/12/21 15:11:21  baggins
- release 13
- added opt patch

Revision 1.28  2000/10/23 02:31:34  kloczek
- release 12: use new rpm automation.

Revision 1.27  2000/07/12 22:13:26  kloczek
- cosmetic.

Revision 1.26  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/05/17 23:02:34  kloczek
- spec adapterized.

Revision 1.24  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.23  2000/04/07 08:31:33  kloczek
- release 10,
- new init script for using rc-scripts >- 0.2.0 abilities,
- standarized %post/%preun.

Revision 1.22  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.20  2000/02/11 17:28:03  wiget
- run arpwatch in 3, 4 and 5 runlevel

Revision 1.19  1999/11/28 18:14:42  wiget
- typo

Revision 1.18  1999/11/28 18:11:03  wiget
- install missing dir

Revision 1.17  1999/11/28 18:08:40  wiget
- add missing source

Revision 1.16  1999/11/28 18:08:14  wiget
- FHS 2.0 fixes (/var/db -> /var/state)
- allow minitoring multiple interfaces

Revision 1.15  1999/11/27 03:26:46  kloczek
- release 7,
- build against shared libpcap (added BuildRequires: libpcap-devel rule).

Revision 1.14  1999/09/11 13:29:47  misiek
- fixed requires (PR#26)

Revision 1.13  1999/07/15 16:58:13  kloczek
- standarized %post, %preun,
- simplifications in %install,
- Prereq: /sbin/chkconfig instead chkconfig,
- added arpwatch-arp2ethers.patch (arp2ethers can be pure sh script instead
  csh),
- fixed passing LDFLAGS.

Revision 1.12  1999/07/15 16:37:07  baggins
- fixed permissions on initscript

Revision 1.11  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.1a4-6]
- spec cleanup

* Tue Feb 16 1999 Artur Frysiak <wiget@usa.net>
  [2.1a4-5d]
- initial release for PLD
